package com.kingdee.eas.hr.project;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ProjectManagementEntryFactory
{
    private ProjectManagementEntryFactory()
    {
    }
    public static com.kingdee.eas.hr.project.IProjectManagementEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectManagementEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("44CE7F57") ,com.kingdee.eas.hr.project.IProjectManagementEntry.class);
    }
    
    public static com.kingdee.eas.hr.project.IProjectManagementEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectManagementEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("44CE7F57") ,com.kingdee.eas.hr.project.IProjectManagementEntry.class, objectCtx);
    }
    public static com.kingdee.eas.hr.project.IProjectManagementEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectManagementEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("44CE7F57"));
    }
    public static com.kingdee.eas.hr.project.IProjectManagementEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectManagementEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("44CE7F57"));
    }
}